<?php
/**
 * Magento
 * @category   Payment
 * @package    Pdt_bitpay
 * @copyright  Copyright (c) 2013 bitpay developement team(info@bitpay.ir)
 * @see http://bitpay.ir
 */
class Pdt_bitpay_Block_Form extends Mage_Payment_Block_Form
{
    protected function _construct()
    {
        parent::_construct();
        $this->setTemplate('bitpay/form.phtml');
    }

    public function getPaymentImageSrc()
    {
    	$locale = strtolower(Mage::app()->getLocale()->getLocaleCode());
    	$imgSrc = $this->getSkinUrl('images/bitpay/'.$locale.'_outl.gif');

    	if (!file_exists(Mage::getDesign()->getSkinBaseDir().'/images/bitpay/'.$locale.'_outl.gif')) {
    		$imgSrc = $this->getSkinUrl('images/bitpay/intl_outl.gif');
    	}
    	return $imgSrc;
    }
}